<template>
  <div class="[ bh-layout-container ]">
    <bh-navbar-ui class="[ bh-navbar ]" />
    <main class="[ bh-main ]">
      <nuxt />
    </main>
  </div>
</template>

<script>
export default {
  middleware: [
    'check-authenticated',
    'navigate-if-allowed',
    'store-route',
    'store-filters',
  ],
};
</script>

<style lang="postcss" scoped>
.bh-layout-container {
  display: grid;
  grid-template-columns:
    minmax(theme('spacing.4'), 1fr)
    minmax(auto, 64rem)
    minmax(theme('spacing.4'), 1fr);
  grid-template-rows:
    auto
    1fr;
  grid-template-areas:
    'navbar navbar navbar'
    '......  main  ......';
  overflow: hidden;
}

.bh-layout-container .bh-navbar {
  grid-area: navbar;
}

.bh-layout-container .bh-main {
  grid-area: main;
}
</style>
